<template>
	<view style="padding: 30rpx;" >
		<view style="padding: 0 50rpx;">
			<uni-segmented-control :current="current" :values="items" @clickItem="onClickItem" styleType="button" activeColor="#2F4379"></uni-segmented-control>       
		</view>
		<view >
		    <view v-show="current === 0">
		        <view class="content" v-for="(item,index) in list1" :key="index" @click="jumpDetail(item)">
					<view class="c_t1">
						{{$method.timestampToTime(item.createTime)}}
					</view>
					<view>
						<u-row >
							<u-col span="5" >
								<view style="padding: 5rpx;">
									<image :src="$method.splitImgHost(item.coverUrl,true)" class="c_img"></image>
								</view>
							</u-col>
							<u-col span="7" >
								<view style="position: relative;height: 134rpx;padding-left: 10rpx;">
									<view class="c_title">
										{{item.courseName}}
									</view>
								</view>
							</u-col>
						</u-row>
					</view>
					
				</view>
		    </view>
		    <view v-show="current === 1">
		        <view class="content" v-for="(item,index) in list2" :key="index" @click="jumpDetail(item)">
		        	<view class="c_t1">
		        		{{$method.timestampToTime(item.createTime)}}
		        	</view>
		        	<view>
		        		<u-row >
		        			<u-col span="5" >
		        				<view style="padding: 5rpx;">
		        					<image :src="$method.splitImgHost(item.coverUrl,true)" class="c_img"></image>
		        				</view>
		        			</u-col>
		        			<u-col span="7" >
		        				<view style="position: relative;height: 134rpx;padding-left: 10rpx;">
		        					<view class="c_title">
		        						{{item.bankName}}
		        					</view>
		        				</view>
		        			</u-col>
		        		</u-row>
		        	</view>
		        	
		        </view>
		    </view>
		    <view v-show="current === 2">
		        <view class="content" v-for="(item,index) in list3" :key="index" @click="jumpDetail(item)">
		        	<view class="c_t1">
		        		{{$method.timestampToTime(item.createTime)}}
		        	</view>
		        	<view>
		        		<u-row >
		        			<u-col span="5" >
		        				<view style="padding: 5rpx;">
		        					<image :src="$method.splitImgHost(item.coverUrl,true)" class="c_img"></image>
		        				</view>
		        			</u-col>
		        			<u-col span="7" >
		        				<view style="position: relative;height: 134rpx;padding-left: 10rpx;">
		        					<view class="c_title">
		        						{{item.name}}
		        					</view>
		        				</view>
		        			</u-col>
		        		</u-row>
		        	</view>
		        	
		        </view>
		    </view>
			<view v-if="paramList[current].showStatus" style="text-align: center;margin-top: 24rpx;">到底啦~</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				current:0,
				items: [
					'课程', 
					'刷题', 
					'重点考点'
				],
				list1: [],
				list2: [],
				list3: [],
				paramList: [
					{
						pageNum: 1,
						pageSize: 10,
						total: 0,
						showStatus: 0
					},
					{
						pageNum: 1,
						pageSize: 10,
						total: 0,
						showStatus: 0
					},
					{
						pageNum: 1,
						pageSize: 10,
						total: 0,
						showStatus: 0
					}
				],
			}
		},
		onLoad(option) {
			this.initList()
		},
		onShow(){
		},
		methods: {
			jumpDetail(item) {
				if (this.current == 0) {
					this.$navTo.togo('/pages2/course/detail', {
						id: item.courseId
					});
					return;
				}
				if (this.current == 1) {
						this.$navTo.togo('/pages2/bank/detail', {
							id: item.bankId
						});
					return;
				}
				if (this.current == 2) {
					this.$navTo.togo('/pages2/course/keynote', {
						id: item.fileId
					});
					return;
				}
			},
			initList() {
				this.courseList();
				this.bankList();
				this.noteList();
			},
			onClickItem(e){
				this.current = e.currentIndex
			},
			//课程
			courseList() {
				var self = this;
				var param = this.paramList[0];
				this.$api.courseCollectList(param).then(res => {
					self.paramList[0].total = res.data.total;
					self.list1.push.apply(self.list1, res.data.rows);
					if (self.list1.length === res.data.total) {
						self.paramList[0].showStatus = true;
					}
				});
			},
			//题库
			bankList() {
				var self = this;
				var param = this.paramList[1];
				this.$api.bankCollectList(param).then(res => {
					self.paramList[1].total = res.data.total;
					self.list2.push.apply(self.list2, res.data.rows);
					if (self.list2.length === res.data.total) {
						self.paramList[1].showStatus = true;
					}
				});
			},
			//考试重点
			noteList() {
				var self = this;
				var param = this.paramList[2];
				this.$api.courseNoteList(param).then(res => {
					self.paramList[2].total = res.data.total;
					self.list3.push.apply(self.list3, res.data.rows);
					if (self.list3.length === res.data.total) {
						self.paramList[2].showStatus = true;
					}
				});
			},
		},
		
	}
</script>

<style scope>
	.c_log{
		font-size: 20rpx;
		font-family: PingFang SC;
		font-weight: 400;
		color: #2F4379;
		position: absolute;
		bottom: 10rpx;
	}
	.c_title{
		font-size: 30rpx;
		font-family: PingFang SC;
		font-weight: bold;
		color: #2F4379;
		padding-top: 10rpx;
	}
	.c_img{
		width: 278rpx;
		height: 134rpx;
	}
	.c_t1{
		font-size: 20rpx;
		color: #2F4379;
		padding: 15rpx;
	}
	.content{
		margin-top: 20rpx;
		width: 100%;
		height: 225rpx;
		background: #FFFFFF;
		box-shadow: 0rpx 0rpx 16rpx 4rpx rgba(145, 156, 178, 0.1);
		border-radius: 32rpx;
	}
	.segmented-control__text{
		font-size: 24rpx !important;
	}
	.segmented-control{
		height: 56rpx !important;
		background-color: #F8F9FF;
	}
	
page {
		background: #FFFFFF;
	}
</style>
